在Mac OS X上安装Ruby

Mac OS X内建的Ruby版本并非最新版,只安装了维持系统运行,最低需求版本的Ruby,所以要安装最新版本的Ruby就得额外安装。

安装Ruby

通过Homebrew

$ brew install ruby

通过Ruby版本管理器(RVM)
如果开发环境有安装多个版本的Ruby的需求,就使用RVM来安装与管理Ruby吧,可以通过RVM自由切换使用的Ruby版本与Gemset,保持开发环境的干净。

详情见https://rvm.io/

# Install GPG keys:
$ gpg2 --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3 7D2BAF1CF37B13E2069D6956105BD0E739499BDB# Install RVM:
$ \curl -sSL https://get.rvm.io | bash -s stable

常用指令

# 列出所有版本的 Ruby
$ rvm list known# 安裝 Ruby 2.6
$ rvm install 2.6# 切換 Ruby 版本成 2.6
$ rvm use 2.6# 設定 Ruby 預設版本為 2.6
$ rvm --default use 2.6

Gem

Gem就是Ruby开发者共享的函式库,Rails也是Ruby的一个Gem,见https://rubygems.org查看这些Gems。

设置安装Gem时不要安装文档,于~/.gemrc加上这行:

# .gemrc
gem: --no-rdoc --no-ri

使用gemset让开发环境可以隔离不互相干扰,每个RVM安装的Ruby版本预设使用defaultgemset,我们也可以自己建立gemsetproject

# 建立 gemset project
$ rvm gemset create project# 切換成 gemset project 
$ rvm use 2.6@project# 切回預設的 gemset
$ rvm use 2.6@default

转载需保留链接来源:软件玩家 » 在Mac OS X上安装Ruby

赞 (0) 打赏

评论 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

感恩您的支助!

微信扫一扫打赏